package dk.nsp.xdscleanup.model;

import dk.nsp.xdscleanup.model.xds.AssociationType;
import dk.nsp.xdscleanup.model.xds.ReferenceType;

public class DeletedAssociation extends DeletedRegistryObject {
    private AssociationType associationType;
    private String sourceUuid;
    private ReferenceType sourceType;
    private String targetUuid;
    private ReferenceType targetType;

    public DeletedAssociation(long entryId, String entryUuid, AssociationType associationType, String sourceUuid, ReferenceType sourceType, String targetUuid, ReferenceType targetType) {
        super(entryId, entryUuid);
        this.associationType = associationType;
        this.sourceUuid = sourceUuid;
        this.sourceType = sourceType;
        this.targetUuid = targetUuid;
        this.targetType = targetType;
    }

    public AssociationType getAssociationType() {
        return associationType;
    }

    public String getSourceUuid() {
        return sourceUuid;
    }

    public ReferenceType getSourceType() {
        return sourceType;
    }

    public String getTargetUuid() {
        return targetUuid;
    }

    public ReferenceType getTargetType() {
        return targetType;
    }
}
