package dk.nsp.xdscleanup.model;

/**
 * Represents an object that will be deleted. Can be a DocumentEntry, Association, SubmissionSet and (tentatively) Folder
 */
public abstract class DeletedRegistryObject {
    private long entryId;
    private String entryUuid;

    public DeletedRegistryObject(long entryId, String entryUuid) {
        this.entryUuid = entryUuid;
    }

    public long getEntryId() {
        return entryId;
    }

    public void setEntryId(long entryId) {
        this.entryId = entryId;
    }

    public String getEntryUuid() {
        return entryUuid;
    }

    public void setEntryUuid(String entryUuid) {
        this.entryUuid = entryUuid;
    }
}
