--
-- Table and index structure for table `documententry_confidentialitycode`
--
create table if not exists `documententry_confidentialitycode` (
  `id` int(11) not null auto_increment,
  `documententry_entryuuid` varchar(64) not null,
  `code_name` varchar(64) not null,
  `scheme_name` varchar(64) not null,
  `creation_time` datetime(6) default current_timestamp,
  `last_update_time` datetime(6) default current_timestamp on update current_timestamp,

  constraint documententry_confidentialitycode_pk primary key (id),

  constraint documententry_confidentialitycode_documententry_fk foreign key (documententry_entryuuid) references documententries(entryuuid) on delete cascade
);

create unique index if not exists `documententry_confidentialitycode_documententry_entryuuid_id`
on documententry_confidentialitycode(documententry_entryuuid, id);