package dk.nsp.xdscleanup.service.impl;

import java.util.LinkedList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;

import dk.nsp.xdscleanup.model.DocumentTypeCleanupSpecification;
import dk.nsp.xdscleanup.service.RegistryCleanupService;
import dk.nsp.xdscleanup.service.RepositoryCleanupService;

public class CleanupServiceImplTest {

	private CleanupServiceImpl subject;
	
	private RegistryCleanupService registryCleanupService;
	private RepositoryCleanupService repositoryCleanupService;
	private List<DocumentTypeCleanupSpecification> cleanupSpecifications;
	
	@Before
	public void setup() {
		
		registryCleanupService = Mockito.mock(RegistryCleanupService.class);
		repositoryCleanupService = Mockito.mock(RepositoryCleanupService.class);
		cleanupSpecifications = new LinkedList<DocumentTypeCleanupSpecification>();
		
		subject = new CleanupServiceImpl(registryCleanupService, repositoryCleanupService, cleanupSpecifications, 10);
	}
	
	@Test
	public void testCleanupWithEmptySpecifications() {
		// Given
		
		// When
		subject.cleanup();
		
		// Then
	}
	
}
