package dk.nsp.xdscleanup.service;

import java.time.Instant;
import java.util.List;

import dk.nsp.xdscleanup.model.DeletedDocumentEntry;
import dk.nsp.xdscleanup.model.xds.TypeCode;

public interface RegistryCleanupService {

	void deleteRegistryData(TypeCode typeCode, Instant olderThan, int batchSize);
	
	public List<DeletedDocumentEntry> findDeletedDocumentEntries(int batchSize);
	
	public void markDeletionComplete(List<DeletedDocumentEntry> deletedDocumentEntries);
}
